enum = require "logic.enum"
define = require "logic.define"
classtype =  require "logic.classtype"

require "logic.base.base"
require "logic.hud.hud"
require "logic.ui.ui"
require "logic.attr.attr"
require "logic.platform.platform"
require "logic.map.map"
require "logic.test.test"
require "logic.mainmenu.mainmenu"
require "logic.notify.notify"
require "logic.model.model"
require "logic.war.war"
require "logic.magic.magic"
require "logic.login.login"
require "logic.item.item"
require "logic.misc.misc"
require "logic.chat.chat"
require "logic.gm.gm"
require "logic.npcshop.npcshop"
require "logic.arena.arena"
require "logic.task.task"
require "logic.dialogue.dialogue"
require "logic.team.team"
require "logic.skill.skill"
require "logic.syssetting.syssetting"
require "logic.friend.friend"
require "logic.forge.forge"
require "logic.audio.audio"
require "logic.activity.activity"
require "logic.org.org"
require "logic.guide.guide"
require "logic.partner.partner"
require "logic.action.action"
require "logic.house.house"
require "logic.rank.rank"
require "logic.state.state"
require "logic.activity.endlesspve.endlesspve"
require "logic.live2d.live2d"
require "logic.activity.pata.pata"
require "logic.activity.equipfuben.equipfuben"
require "logic.schedule.schedule"
require "logic.treasure.treasure"
require "logic.activity.leitai.leitai"
require "logic.teach.teach"
require "logic.openui.openui"
require "logic.mapbook.mapbook"
require "logic.activity.anlei.anlei"
require "logic.activity.fieldboss.fieldboss"
require "logic.loginreward.loginreward"
require "logic.achieve.achieve"
require "logic.spine.spine"
require "logic.activity.equalarena.equalarena"
require "logic.activity.equalarenaworld.equalarenaworld"
require "logic.powerguide.powerguide"
require "logic.foretell.foretell"
require "logic.terrawar.terrawar"
require "logic.travel.travel"
require "logic.welfare.welfare"
require "logic.chouka.chouka"
require "logic.qrcode.qrcode"
require "logic.convoy.convoy"
require "logic.limitreward.limitreward"
require "logic.timelimitrank.timelimitrank"
require "logic.activity.teampvp.teampvp"
require "logic.activity.sceneexam.sceneexam"
require "logic.activity.clubarena.clubarena"
require "logic.huntpartnersoul.huntpartnersoul"
require "logic.marry.marry"
require "logic.voteAndShare.voteandshare"

--require 有顺序关系
CWarrior = require "logic.war.CWarrior"
CCreateRoleWarrior = require "logic.login.CCreateRoleWarrior"


--
data = require "logic.data.data"
DataTools = require "logic.misc.DataTools"

--createctrl.lua里创建ctrl